Bug 1302588 (CVE-2016-0746) - CVE-2016-0746 nginx: use-after-free during CNAME response processing in resolver
Summary: CVE-2016-0746 nginx: use-after-free during CNAME response processing in resolver
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0746
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160126,repor...
Depends On: 1302334 1302337 1302592 1302599 1342443
Blocks: 1302591
TreeView+ depends on / blocked
 
Reported: 2016-01-28 08:41 UTC by Martin Prpič
Modified: 2019-06-08 20:58 UTC (History)
13 users (show)

Fixed In Version: nginx 1.9.10, nginx 1.8.1
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way nginx resolved certain CNAME DNS records. An attacker able to manipulate DNS responses received by nginx could use this flaw to cause a worker process to crash or, possibly, execute arbitrary code if nginx enabled the resolver in its configuration.
Clone Of:
Environment:
Last Closed: 2016-07-14 11:21:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1425 normal SHIPPED_LIVE Moderate: rh-nginx18-nginx security update 2016-07-14 09:50:00 UTC

Description Martin Prpič 2016-01-28 08:41:23 UTC
The following flaw was found in the nginx resolver:

Use-after-free condition might occur during CNAME response processing. This problem allows an attacker who is able to trigger name resolution to cause worker process crash, or might have potential other impact.

This issue affects nginx only if the "resolver" directive is used in a configuration file.

The problems are fixed in nginx upstream versions 1.9.10 and 1.8.1.

External References:

http://mailman.nginx.org/pipermail/nginx-announce/2016/000169.html

Comment 1 Martin Prpič 2016-01-28 08:45:07 UTC
Created nginx tracking bugs for this issue:

Affects: fedora-all [bug 1302592]

Comment 2 Tomas Hoger 2016-02-10 21:49:28 UTC
Bug 1302589 comment 3 as few notes on how nginx resolver is used.

Comment 6 errata-xmlrpc 2016-07-14 05:50:24 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1425 https://access.redhat.com/errata/RHSA-2016:1425


Note You need to log in before you can comment on or make changes to this bug.